package com.jxml.quick.util.qjml4;

import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMAccessField extends QGBase implements QGBaseIntf {

    public String text;


    public QMAccessField(String text) {
        this.text = text;
    }

    public String toString() {
        return(text);
    }

    public void cvt()
	throws SAXException
    {
	addStringAttribute("name",text);
	startElement("field");
	endElement("field");
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element field");
        pw.println(indent + "text = " + text);
    }

}
